Bug 1369814 - libksba: Unproportional amount of memory allocated when parsing crafted certificates
Summary: libksba: Unproportional amount of memory allocated when parsing crafted certi...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1369815
Blocks: 1369816
TreeView+ depends on / blocked
 
Reported: 2016-08-24 13:19 UTC by Adam Mariš
Modified: 2019-09-29 13:55 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-30 06:21:48 UTC


Attachments (Terms of Use)

Description Adam Mariš 2016-08-24 13:19:51 UTC
It was found that an unproportionate amount of memory is allocated when parsing crafted certificates in libskba, which may lead to DoS. Moreover in libksba 1.3.4, allocated memory is uninitialized and could potentially contain sensitive data left in freed memory block.

Public via:

http://seclists.org/oss-sec/2016/q3/343

Comment 1 Adam Mariš 2016-08-24 13:20:11 UTC
Created libksba tracking bugs for this issue:

Affects: fedora-all [bug 1369815]

Comment 4 Fedora Update System 2016-09-01 16:53:26 UTC
libksba-1.3.5-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2016-09-03 17:38:21 UTC
libksba-1.3.5-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2016-09-07 01:49:22 UTC
libksba-1.3.5-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.